# argv.h File Reference

`#include <stdio.h>`

Include dependency graph for argv.h:

Go to the source code of this file.

## Data Structures
struct | ARGI_s
## Typedefs
typedef char ** | ARGV_t
typedef char *const * | ARGV_const_t
typedef int * | ARGint_t
typedef struct ARGI_s * | ARGI_t
typedef struct ARGI_s const *const | ARGI_const_t
## Functions
void | argvPrint (const char *msg, ARGV_const_t argv, FILE *fp)
| Print argv array elements.
ARGI_t | argiFree (ARGI_t argi)
| Destroy an argi array.
ARGV_t | argvNew (void)
| Create an empty argv array.
ARGV_t | argvFree (ARGV_t argv)
| Destroy an argv array.
int | argiCount (ARGI_const_t argi)
| Return no.
ARGint_t | argiData (ARGI_const_t argi)
| Return data from argi array.
int | argvCount (ARGV_const_t argv)
| Return no.
ARGV_t | argvData (ARGV_t argv)
| Return data from argv array.
int | argvCmp (const void *a, const void *b)
| Compare argv arrays (qsort/bsearch).
int | argvSort (ARGV_t argv, int(*compar)(const void *, const void *))
| Sort an argv array.
ARGV_t | argvSearch (ARGV_const_t argv, const char *val, int(*compar)(const void *, const void *))
| Find an element in an argv array.
int | argiAdd (ARGI_t *argip, int ix, int val)
| Add an int to an argi array.
int | argvAdd (ARGV_t *argvp, const char *val)
| Add a string to an argv array.
int | argvAddNum (ARGV_t *argvp, int val)
| Add a number to an argv array (converting to a string).
int | argvAppend (ARGV_t *argvp, ARGV_const_t av)
| Append one argv array to another.
int | argvSplit (ARGV_t *argvp, const char *str, const char *seps)
| Split a string into an argv array.
char * | argvJoin (ARGV_const_t argv, const char *sep)
| Join an argv array into a string.

## Detailed Description

Definition in file argv.h.

## Typedef Documentation

typedef struct ARGI_s const* const ARGI_const_t

Definition at line 23 of file argv.h.

typedef struct ARGI_s* ARGI_t

Definition at line 22 of file argv.h.

typedef int* ARGint_t

Definition at line 17 of file argv.h.

typedef char* const* ARGV_const_t

Definition at line 15 of file argv.h.

typedef char** ARGV_t

Definition at line 14 of file argv.h.